Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235482 (intel_rng) - intel_rng: Firmware space is locked read-only
Summary: intel_rng: Firmware space is locked read-only
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: intel_rng
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 04:46 UTC by vikram goyal
Modified: 2008-03-09 10:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-09 10:24:32 UTC


Attachments (Terms of Use)
dmesg output (deleted)
2007-04-06 04:46 UTC, vikram goyal
no flags Details
/var/log/message under kernel-2.6.20-1.2944.fc6 (deleted)
2007-04-19 15:58 UTC, vikram goyal
no flags Details
/var/log/message under kernel-xen-2.6.20-1.2944.fc6 (deleted)
2007-04-19 16:01 UTC, vikram goyal
no flags Details

Description vikram goyal 2007-04-06 04:46:11 UTC
Description of problem:
May be a bug. I'm not sure. If it is not please close it.

Version-Release number of selected component (if applicable):
kernel:
2.6.20-1.2933.fc6

How reproducible:
dmesg attached

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 vikram goyal 2007-04-06 04:46:11 UTC
Created attachment 151823 [details]
dmesg output

Comment 2 Dave Jones 2007-04-09 20:35:48 UTC
as it says, try the 'no_fwh_detect' module option.
What's happened, is that your BIOS has locked part of the PCI config space, so
that new values cannot be written there, and the random number generator driver
needs to write some values to initialise.

You may also find it goes away if there's a newer BIOS update available.

Comment 3 vikram goyal 2007-04-18 17:27:40 UTC
(In reply to comment #2)
> as it says, try the 'no_fwh_detect' module option.
> What's happened, is that your BIOS has locked part of the PCI config space, so
> that new values cannot be written there, and the random number generator driver
> needs to write some values to initialise.
> 
> You may also find it goes away if there's a newer BIOS update available.

OK, I get it, but what's the real outcome. Newer BIOS is not available, as I
checked at intel.com. Since its a kernel thing of which I don't know much.

Shall I let it go? Is there a kernel command line at boot up which I should
insert. Google has not given any info on that except for kernel patches.


Comment 4 Chuck Ebbert 2007-04-18 17:48:50 UTC
> Shall I let it go? Is there a kernel command line at boot up which I should
> insert. Google has not given any info on that except for kernel patches.

Like davej said, did you try the "no_fwh_detect" option?

Comment 5 vikram goyal 2007-04-19 15:58:35 UTC
Created attachment 153019 [details]
/var/log/message under kernel-2.6.20-1.2944.fc6

with intel_rng=no_fwh_detect as kernel arg. System is sluggish with 1.20 load
average per min when it is .20 under previous kernel under normal load

Comment 6 vikram goyal 2007-04-19 16:01:51 UTC
Created attachment 153021 [details]
/var/log/message under kernel-xen-2.6.20-1.2944.fc6

with no_fwh_detect as kernel arg. X never starts under xen kernel


Note You need to log in before you can comment on or make changes to this bug.